@echo off
echo Ripristino delle impostazioni delle cartelle...

:: Chiudi Esplora Risorse
taskkill /im explorer.exe /f

:: Elimina le chiavi modificate per riportare Windows allo stato originale
reg delete "HKCU\SOFTWARE\Classes\Local Settings\Software\Microsoft\Windows\Shell\BagMRU" /f
reg delete "HKCU\SOFTWARE\Classes\Local Settings\Software\Microsoft\Windows\Shell\Bags" /f

:: Ripristina le impostazioni originali delle cartelle (se presente un backup)
if exist "%USERPROFILE%\folder_backup.reg" (
    echo Ripristino del backup originale...
    reg import "%USERPROFILE%\folder_backup.reg"
) else (
    echo Nessun backup trovato. Windows rigenererà le impostazioni alla prossima apertura di Esplora File.
)

:: Riavvia Esplora Risorse
start explorer.exe

echo Operazione completata! Le impostazioni delle cartelle sono state ripristinate.
pause